%define anolis_release 4

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(constant\\)$

Name:           perl-Compress-Bzip2
Version:        2.28
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        Interface to Bzip2 compression library
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Compress-Bzip2
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Compress-Bzip2-%{version}.tar.gz

BuildRequires:  gcc make coreutils findutils bzip2-devel >= 1.0.5
BuildRequires:  perl-interpreter perl-generators perl-devel
BuildRequires:  perl(Config) perl(:VERSION) >= 5.8.1
BuildRequires:  perl(File::Spec::Functions) perl(File::Spec) perl(File::Copy)
BuildRequires:  perl(strict) perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  perl(AutoLoader) perl(Exporter) perl(constant) >= 1.04 perl(Carp)
BuildRequires:  perl(warnings) perl(XSLoader) perl(Getopt::Std) perl(Fcntl)
# Tests:
BuildRequires:  perl(Test::More) perl(Cwd)

Requires:       perl(constant) >= 1.04

%{?perl_default_filter}

%description
The Compress::Bzip2 module provides a Perl interface to the Bzip2 compression
library. A relevant subset of the functionality provided by Bzip2 is available
in Compress::Bzip2. Compress::Bzip2 is not well integrated into PerlIO, use
the preferred IO::Compress::Bzip2 instead.

%package doc
Summary: Doc files for %{name}
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1 -n Compress-Bzip2-%{version}
# Remove bundled bzip2 library
find bzlib-src -mindepth 1 -type f \! -name 'sample*' -delete
perl -i -ne 'print $_ unless m{^bzlib-src/}' MANIFEST
find bzlib-src -type f >>MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 \
    OPTIMIZE="$RPM_OPT_FLAGS"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}

%check
make test

%files
%license COPYING
%{perl_vendorarch}/Compress/
%{perl_vendorarch}/auto/Compress/
%{_mandir}/man3/*.3pm*

%files doc
%doc Changes README.md ANNOUNCE NEWS

%changelog
* Sat Apr 15 2023 yuanhui <yuanhui@linux.alibaba.com> - 1:2.28-4
- Optimize the spec file

* Tue Feb 07 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:2.28-3
- rebuild with perl_bootstrap disabled

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:2.28-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:2.28-1
- init from upstream
